Bootstrap error - could not connect to index.docker.io


(qh) #1

I have this error when i want ./launcher bootstrap app

WARNING: We are about to start downloading the Discourse base image
This process may take anywhere between a few minutes to an hour, depending on your network speed

Please be patient

Unable to find image 'samsaffron/discourse:1.0.12' locally
Pulling repository samsaffron/discourse
time="2015-06-06T05:07:10-04:00" level=fatal msg="Get https://index.docker.io/v1/repositories/samsaffron/discourse/images: dial tcp: lookup index.docker.io on 88.198.121.33:53: read udp 88.198.121.33:53: i/o timeout" 
Your Docker installation is not working correctly

See: https://meta.discourse.org/t/docker-error-on-bootstrap/13657/18?u=sam

and my docker & ubuntu info

root@ubuntu:/var/discourse# cat /etc/lsb-release 
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.2 LTS"
root@ubuntu:/var/discourse# docker -v
Docker version 1.6.2, build 7c8fca2
root@ubuntu:/var/discourse# apt-get install cgroup-lite
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cgroup-lite is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
root@ubuntu:/var/discourse# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             VIRTUAL SIZE

(Jeff Atwood) #2

Docker should work ok on Ubuntu 14.04 x64.

What does docker --info and docker --version say?

Title of your topic is completely incorrect, note that your error message is “Your Docker installation is not working”.


(qh) #3

I followed this tutorial :

https://github.com/discourse/discourse/blob/master/docs/INSTALL-cloud.md

yes i have installed ubuntu 14.04 64 bit
3 GB Ram

root@ubuntu:/var/discourse# uname -a
Linux ubuntu 3.16.0-30-generic #40~14.04.1-Ubuntu SMP Thu Jan 15 17:43:14 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

docker info

root@ubuntu:/home/ubunto# docker info 
Containers: 0
Images: 0
Storage Driver: aufs
 Root Dir: /var/lib/docker/aufs
 Backing Filesystem: extfs
 Dirs: 0
 Dirperm1 Supported: true
Execution Driver: native-0.2
Kernel Version: 3.16.0-30-generic
Operating System: Ubuntu 14.04.2 LTS
CPUs: 8
Total Memory: 3.86 GiB
Name: ubuntu
ID: 4BJ2:NNVI:HKEX:CFBE:UUKU:GTKF:5V2F:ND7Q:ROT4:KMJJ:DIJM:I6OE
WARNING: No swap limit support

and docker --v

root@ubuntu:/home/ubunto# docker --version
Docker version 1.6.2, build 7c8fca2

Sorry about this


(Jeff Atwood) #4

Weird any ideas on this @sam?


(Sam Saffron) #5

Networking issues, anything odd in iptables?


(qh) #6

Thanks for reply
I got off the firewall and tried again but have that error again

root@ubuntu:/var/discourse# sudo ufw disable
Firewall stopped and disabled on system startup
root@ubuntu:/var/discourse# ./launcher bootstrap app

WARNING: We are about to start downloading the Discourse base image
This process may take anywhere between a few minutes to an hour, depending on your network speed

Please be patient

Unable to find image 'samsaffron/discourse:1.0.12' locally
Pulling repository samsaffron/discourse
time="2015-06-07T05:16:13-04:00" level=fatal msg="Get https://index.docker.io/v1/repositories/samsaffron/discourse/images: dial tcp: lookup index.docker.io on 88.198.121.33:53: read udp 88.198.121.33:53: connection refused" 
Your Docker installation is not working correctly

See: https://meta.discourse.org/t/docker-error-on-bootstrap/13657/18?u=sam

(Sam Saffron) #7

Can you raise this on the docker forum and add a link here

Try

docker pull samsaffron/discourse:1.0.12

It will fail. Copy that and ask for help, something is bust with your docket install